SOURCES: icedove-ti.sh (NEW), iceweasel-ti.sh (NEW) - wrappers w/o locale f...

hawk hawk at pld-linux.org
Mon Aug 18 17:26:17 CEST 2008


Author: hawk                         Date: Mon Aug 18 15:26:17 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- wrappers w/o locale forcing for Titanium, switch to Windows if you like
  when system knows better what is good for you

---- Files affected:
SOURCES:
   icedove-ti.sh (NONE -> 1.1)  (NEW), iceweasel-ti.sh (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/icedove-ti.sh
diff -u /dev/null SOURCES/icedove-ti.sh:1.1
--- /dev/null	Mon Aug 18 17:26:18 2008
+++ SOURCES/icedove-ti.sh	Mon Aug 18 17:26:11 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+# based on script by (c) vip at linux.pl, wolf at pld-linux.org
+
+LIBDIR="@LIBDIR@/icedove"
+
+# copy profile from Thunderbird if its available and if no Icedove
+# profile exists
+if [ ! -d $HOME/.icedove ]; then
+	if [ -d $HOME/.thunderbird ]; then
+		echo "Copying profile from Thunderbird"
+		cp -rf $HOME/.thunderbird $HOME/.icedove
+	fi
+fi
+
+ICEDOVE="$LIBDIR/icedove"
+
+if [ "$1" == "-remote" ]; then
+	$ICEDOVE "$@"
+else
+	PING=`$ICEDOVE -remote 'ping()' 2>&1 >/dev/null`
+	if [ -n "$PING" ]; then
+		$ICEDOVE "$@"
+	else
+		case "$1" in
+		    -compose|-editor)
+			$ICEDOVE -remote 'xfeDoCommand (composeMessage)'
+			;;
+		    *)
+			$ICEDOVE -remote 'xfeDoCommand (openInbox)'
+			;;
+		esac
+	fi
+fi

================================================================
Index: SOURCES/iceweasel-ti.sh
diff -u /dev/null SOURCES/iceweasel-ti.sh:1.1
--- /dev/null	Mon Aug 18 17:26:18 2008
+++ SOURCES/iceweasel-ti.sh	Mon Aug 18 17:26:12 2008
@@ -0,0 +1,57 @@
+#!/bin/sh
+# based on script by (c) vip at linux.pl, wolf at pld-linux.org
+
+LIBDIR="@LIBDIR@/iceweasel"
+
+# copy profile from Firefox if its available and if no Iceweasel
+# profile exists
+if [ ! -d $HOME/.iceweasel ]; then
+	if [ -d $HOME/.mozilla/firefox ]; then
+		echo "Copying profile from Firefox"
+		cp -rf $HOME/.mozilla/firefox $HOME/.iceweasel
+	fi
+fi
+
+# compreg.dat and/or chrome.rdf will screw things up if it's from an
+# older version.  http://bugs.gentoo.org/show_bug.cgi?id=63999
+for f in ~/{.,.mozilla/}iceweasel/*/{compreg.dat,chrome.rdf,XUL.mfasl}; do
+	if [[ -f ${f} && ${f} -ot /usr/bin/iceweasel ]]; then
+		echo "Removing ${f} leftover from older iceweasel"
+		rm -f "${f}"
+	fi
+done
+
+ICEWEASEL="$LIBDIR/iceweasel"
+
+if [ "$1" == "-remote" ]; then
+	exec $ICEWEASEL "$@"
+else
+	PING=`$ICEWEASEL -remote 'ping()' 2>&1 >/dev/null`
+	if [ -n "$PING" ]; then
+		if [ -f "`pwd`/$1" ]; then
+			exec $ICEWEASEL "file://`pwd`/$1"
+		else
+			exec $ICEWEASEL "$@"
+		fi
+	else
+		if [ -z "$1" ]; then
+			exec $ICEWEASEL -remote 'xfeDoCommand(openBrowser)'
+		elif [ "$1" == "-mail" ]; then
+			exec $ICEWEASEL -remote 'xfeDoCommand(openInbox)'
+		elif [ "$1" == "-compose" ]; then
+			exec $ICEWEASEL -remote 'xfeDoCommand(composeMessage)'
+		else
+			if [ -f "`pwd`/$1" ]; then
+				URL="file://`pwd`/$1"
+			else
+				URL="$1"
+			fi
+			grep browser.tabs.opentabfor.middleclick ~/.mozilla/iceweasel/*/prefs.js | grep false > /dev/null
+			if [ $? -ne 0 ]; then
+				exec $ICEWEASEL -new-tab "$URL"
+			else
+				exec $ICEWEASEL -new-window "$URL"
+			fi
+		fi
+	fi
+fi
================================================================


More information about the pld-cvs-commit mailing list